// Copyright Epic Games, Inc. All Rights Reserved.

#include "ForestImporter.h"
#include "ForestImporterEdMode.h"

#define LOCTEXT_NAMESPACE "FForestImporterModule"

void FForestImporterModule::StartupModule()
{
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module
	FEditorModeRegistry::Get().RegisterMode<FForestImporterEdMode>(FForestImporterEdMode::EM_ForestImporterEdModeId,
		LOCTEXT("ForestImporterEdModeName", "ForestImporterEdMode"), FSlateIcon(), true);
}

void FForestImporterModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.
	FEditorModeRegistry::Get().UnregisterMode(FForestImporterEdMode::EM_ForestImporterEdModeId);
}

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FForestImporterModule, ForestImporter)